SystemOrganization addCategory: #ConfigurationOfFame!

Object subclass: #ConfigurationOfFame
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfFame'!

!ConfigurationOfFame class methodsFor: 'private' stamp: 'TudorGirba 2/19/2011 09:41'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfFame class methodsFor: 'metacello tool support' stamp: 'TudorGirba 2/19/2011 09:41'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfFame class methodsFor: 'loading' stamp: 'TudorGirba 2/19/2011 09:41'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfFame class methodsFor: 'accessing' stamp: 'TudorGirba 2/19/2011 09:41'!
project

	^self new project! !

!ConfigurationOfFame methodsFor: 'baselines' stamp: 'TudorGirba 2/19/2011 09:47'!
default: spec 
	<version: 'default'>
	
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://squeaksource.com/Fame'.
		spec 
			package: 'Fame-Core';
			package: 'Fame-Util';
			package: 'Fame-ImportExport' with: [ spec requires: 'Fame-Core'];
			package: 'Fame-SmalltalkBinding' with: [ spec requires: 'Fame-Core'];
			package: 'Fame-Example';
			package: 'Fame-Tests-Core' with: [ spec requires: #('Fame-Core' 'Fame-Example')].
		spec group: 'Core' with: #( 'Fame-Core' 'Fame-ImportExport' 'Fame-Util' 'Fame-SmalltalkBinding').
		spec group: 'Tests' with: #( 'Fame-Tests-Core').
	]! !

!ConfigurationOfFame methodsFor: 'symbolic versions' stamp: 'TudorGirba 2/19/2011 09:47'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: 'default'.
! !

!ConfigurationOfFame methodsFor: 'accessing' stamp: 'TudorGirba 2/19/2011 09:41'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !
